summaryrefslogtreecommitdiff
path: root/package/axtls/files/axhttpd.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/axtls/files/axhttpd.init')
-rw-r--r--package/axtls/files/axhttpd.init30
1 files changed, 30 insertions, 0 deletions
diff --git a/package/axtls/files/axhttpd.init b/package/axtls/files/axhttpd.init
new file mode 100644
index 000000000..70ccc48d5
--- /dev/null
+++ b/package/axtls/files/axhttpd.init
@@ -0,0 +1,30 @@
+#!/bin/sh
+#FWINIT 80
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${axhttpd:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ if [ ! -d /www -a ! -h /www ]; then
+ echo "axhttpd not started. create /www first"
+ exit 0
+ fi
+ /usr/sbin/axhttpd >>/var/log/axhttpd.access
+ ;;
+stop)
+ killall axhttpd
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?